package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dma.ConstomCondition;
import com.tofly.xrtygis.custom.entity.dma.CustomPartition;
import com.tofly.xrtygis.entity.Dmaandobser;
import com.tofly.xrtygis.entity.Dmaregion;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/3/29 15:26
 */
public interface CustomAreaService {
    Long addPartition(String info);

    List<CustomPartition> getPartition(String partitionName, Long partitionId, Page page);

//    boolean updatePartition(Dmaregion region);

    Map getPartitionById(HttpServletResponse response , Page page , ConstomCondition condition);

    Map partitionNum();

    Map partitionNumSynthe();

    boolean delPartition(String ids);

    boolean addPipe(String info);

    boolean delPipe(Long parId, Long pipeId);

    boolean bingParAndArea(String info);

    boolean delBing(String ids);

    IPage getBing(Page page, Dmaandobser dmaandobser);

    IPage tableCoord(Page page);

    Map getDetailById(Long id);

    Map getBingCbb(Long dmaId);

    boolean bingCbb(Long dmaId, String cbbList);

    /**
     * 获取片区同级信息
     * @param level 等级
     * @return list
     */
    List<Dmaregion> areaLevelInfo(String level);

    Page<Dmaregion> getReginPage(Page page, Integer level);


}
